package com.mobvcasting.webviewexample;

import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.os.Handler;
import android.util.Log;
import android.webkit.WebChromeClient;
import android.webkit.WebSettings;
import android.webkit.WebView;
import android.webkit.WebViewClient;
import android.webkit.JsResult;
import android.widget.Toast;

public class WebviewExample extends Activity 
{
	WebView webview;
 
    private Handler handler = new Handler();
	
	@Override
    public void onCreate(Bundle savedInstanceState) 
	{
        super.onCreate(savedInstanceState);

        webview = new WebView(this);		
        setContentView(webview);

        // Enable JavaScript overall
        WebSettings settings = webview.getSettings();
        settings.setJavaScriptEnabled(true);
        
        // Enable JavaScript Alerts
        webview.setWebChromeClient(new WebChromeClient() {
        	public boolean onJSAlert(WebView view, String url, String message, JsResult result)
        	{
        		return true;
        	}
        });
               
        //webview.addJavascriptInterface(obj, interfaceName);
        webview.addJavascriptInterface(new JSInterface(), "jsinterface");

        webview.loadUrl("http://www.mobvcasting.com/mmtest/index.html");
	}
	
	public class JSInterface {

		//window.jsinterface.specialClick()
        /**
         * This is not called on the UI thread. Post a runnable to invoke
         * loadUrl on the UI thread.
         */
        public void specialClick() {
            handler.post(new Runnable() {
                public void run() {
                    //webview.loadUrl("javascript:alert('Special Click Was Called');");
                    
                    // Could do other things here, like load a different activity
                    Intent nintent = new Intent(WebviewExample.this,WebviewOtherActivity.class);
                    startActivityForResult(nintent,0); // if we did startActivityForResult we could get the data back??
                }
            });
        }		
	}
	
    @Override
    protected void onActivityResult(int requestCode, int resultCode, Intent intent) 
    {       		
		super.onActivityResult(requestCode, resultCode, intent);
		
		//Bundle extras = intent.getExtras();
		
		switch(requestCode) 
		{
			case 0:
				if (resultCode == RESULT_OK)
				{
					Log.v("WEBVIEW","Got Results");
				}
				break;
		}
    }
}

